yast2-ncurses: NCSquash Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCSquash Class Reference

`#include <NCSquash.h>`

Inheritance diagram for NCSquash:

List of all members.

## Public Member Functions
| NCSquash (NCWidget *parent, const YWidgetOpt &opt, bool hsquash, bool vsquash)
virtual | ~NCSquash ()
virtual long | nicesize (YUIDimension dim)
virtual void | setSize (long newwidth, long newheight)
virtual void | setEnabling (bool do_bv)
## Protected Member Functions
virtual const char * | location () const
## Private Member Functions
NCSquash & | operator= (const NCSquash &)
| NCSquash (const NCSquash &)
## Friends
std::ostream & | operator<< (std::ostream &STREAM, const NCSquash &OBJ)

## Constructor & Destructor Documentation

NCSquash::NCSquash | ( | const NCSquash & |  | ) | `[private]`

NCSquash::NCSquash | ( | NCWidget * | parent,
|  | const YWidgetOpt & | opt,
|  | bool | hsquash,
|  | bool | vsquash
| ) |

NCSquash::~NCSquash | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const char* NCSquash::location | ( |  | ) | const`[inline, protected, virtual]`

| Reimplemented from NCWidget.

virtual long NCSquash::nicesize | ( | YUIDimension | dim | ) | `[inline, virtual]`

| Reimplemented from YContainerWidget.

NCSquash& NCSquash::operator= | ( | const NCSquash & |  | ) | `[private]`

virtual void NCSquash::setEnabling | ( | bool | do_bv | ) | `[inline, virtual]`

| Pure virtual to make shure every widget implements it. Necessary to make shure that UI requests via YWidget::setEnabling perform, and behave the same way as direct calls to NCWidget::setEnabling. Defaut implementation is provided, and for most derived widgets it's ok to simply use it. Implements NCWidget.

void NCSquash::setSize | ( | long | newwidth,
|  | long | newheight
| ) | `[virtual]`

| Reimplemented from YContainerWidget.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | STREAM,
|  | const NCSquash & | OBJ
| ) | `[friend]`

The documentation for this class was generated from the following files:

- NCSquash.h
- NCSquash.cc